Summary:	Numerical Data Processing and Visualization Tool (grace)
Summary(pl.UTF-8):	Narzędzie do numerycznej obróbki i wizualizacji danych
Name:		grace
Version:	5.1.25
Release:	2
License:	GPL v2+
Group:		Applications/Math
Source0:	ftp://plasma-gate.weizmann.ac.il/pub/grace/src/stable/%{name}-%{version}.tar.gz
# Source0-md5:	c0482b1f18b113192946a96f5ff35a4d
Source1:	%{name}.desktop
Patch0:		%{name}-FHS.patch
Patch1:		%{name}-home_etc.patch
Patch2:		%{name}-etc.patch
Patch3:		%{name}-fontsdir.patch
Patch4:		source-hardening.diff
URL:		http://plasma-gate.weizmann.ac.il/Grace/
BuildRequires:	Xbae-devel
BuildRequires:	XmHTML-devel >= 1.1.5
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fftw-devel >= 2.1.3
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 0.9.6
BuildRequires:	motif-devel >= 1.2
BuildRequires:	netcdf-devel >= 3.0
#BuildRequires:	pdflib-devel >= 5.0.0
BuildRequires:	t1lib-devel >= 5.0.0
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXpm-devel
BuildRequires:	xorg-lib-libXt-devel
Requires:	fonts-Type1-urw
Requires:	libpng >= 0.9.6
#Requires:	pdflib >= 5.0.0
Requires:	zlib >= 1.0.3
Obsoletes:	xmgr
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Grace is a Motif application for two-dimensional data visualization.
Grace can transform the data using free equations, FFT, cross- and
auto-correlation, differences, integrals, histograms, and much more.
The generated figures are of high quality. Grace is a very convenient
tool for data inspection, data transformation, and and for making
figures for publications.

%description -l pl.UTF-8
Grace jest motifową aplikacją służącą do dwuwymiarowej wizualizacji
danych. Może przekształcać dane za pomocą wolnych równań, FFT,
autokorelacji, różniczek, całek, histogramów itd. Powstałe wykresy
mają wysoką jakość. Grace jest bardzo użytecznym narzędziem jeśli
chodzi o monitorowanie i transformację danych oraz tworzenie wykresów
do publikacji.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
cp -f /usr/share/automake/config.* ac-tools
cp -f ac-tools/configure.in .
%{__autoconf}
%configure \
	--enable-grace-home=%{_datadir}/%{name} \
	--enable-editres \
	--enable-extra-incpath=$PKG_BUILD_DIR/include \
	--enable-extra-ldpath=$PKG_BUILD_DIR/lib \
	--without-bundled-xbae \
	%{!?debug:--disable-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_datadir}/grace/doc/*.1 \
	$RPM_BUILD_ROOT%{_datadir}/grace/examples/dotest

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/%{name}.desktop

gzip -9nf $RPM_BUILD_ROOT%{_datadir}/grace/doc/*.dat \
	$RPM_BUILD_ROOT%{_datadir}/grace/doc/*.agr \
	$RPM_BUILD_ROOT%{_datadir}/grace/doc/*.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%docdir %{_datadir}/grace/doc
%docdir %{_datadir}/grace/examples
%{_datadir}/grace/doc
%{_datadir}/grace/examples
%dir %{_sysconfdir}/grace
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/grace/gracerc
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/grace/gracerc.user
%attr(755,root,root) %{_bindir}/convcal
%attr(755,root,root) %{_bindir}/fdf2fit
%attr(755,root,root) %{_bindir}/gracebat
%attr(755,root,root) %{_bindir}/grconvert
%attr(755,root,root) %{_bindir}/xmgrace
%{_mandir}/man1/convcal.1*
%{_mandir}/man1/grace.1*
%{_mandir}/man1/gracebat.1*
%{_mandir}/man1/grconvert.1*
%{_mandir}/man1/xmgrace.1*
%{_libdir}/grace
%{_includedir}/grace_np.h
%dir %{_datadir}/grace
%{_datadir}/grace/auxiliary
%dir %{_datadir}/grace/templates
%config(noreplace) %verify(not md5 mtime size) %{_datadir}/grace/templates/*
%dir %{_datadir}/grace/fonts
%{_datadir}/grace/fonts/enc
%{_datadir}/grace/fonts/type1
%{_datadir}/grace/fonts/FontDataBase
%{_desktopdir}/grace.desktop
%changelog
* Sat Apr 06 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/grace.git;a=log;h=master

* Sat Apr 06 2019 Jan Rękorajski <baggins@pld-linux.org> 12ded4b
- release 2 (by relup.sh)

* Sun May 13 2018 Jakub Bogusz <qboosh@pld-linux.org> b0c100d
- updated to 5.1.25
- updated FHS patch

* Wed Mar 16 2016 Jan Rękorajski <baggins@pld-linux.org> 6fdba30
- release 3 (by relup.sh)

* Mon Mar 14 2016 Jan Rękorajski <baggins@pld-linux.org> ea47f1c
- release 2 (by relup.sh)

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> b9ea1b8
- GPL version, more verbose files

* Fri Nov 08 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 3438470
- up to 5.1.23; source-hardening patch from debian

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 75d409b
- release 9 (by relup.sh)

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 21ac788
- new

* Sun Feb 12 2012 Adam Gołębiowski <adamg@pld-linux.org> 367159b
- release 8 (rebuild against libpng-1.5)

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 00bb862
- release 7

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> b37da86
- release 6

* Tue Dec 20 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> ee340e6
- release 5

* Fri May 06 2011 marti <marti@pld-linux.org> 8cfc8b0
- up to 5.1.22

* Tue Feb 09 2010 sparky <sparky@pld-linux.org> 18a3a1f
- dropped unused BR: libtiff-devel

* Sat Feb 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 087100e
- release 4

* Sun Jul 12 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e9cbee
- release 3

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> b734478
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Wed Nov 28 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 11cea95
- rel 2

* Wed Nov 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> aa6867a
- s/ghostscript-fonts-std/fonts-Type1-urw/

* Sat Feb 17 2007 Jakub Bogusz <qboosh@pld-linux.org> 4af691b
- xorg deps
- pdflib >= 5.0.0 is needed for PDF driver

